﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2017.2/TaskFactory_2017.2.3.501.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = 'FD6A5F106AEAEF9F8904FCECA3B6FB60F868C1FA667EB0EAB83028F4A3CCFDD0'
  checksumType = 'sha256'
  checksum64 = 'RkQ2QTVGMTA2QUVBRUY5Rjg5MDRGQ0VDQTNCNkZCNjBGODY4QzFGQTY2N0VCMEVBQjgzMDI4RjRBM0NDRkREMA=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
